%global projname z

Name:		%{projname}
Version:	1.11
Release:	1%{?dist}
Summary:	Maintains a jump-list of the directories you actually use
# Upstream does not ship a license file: https://github.com/rupa/z/issues/273
License:	WTFPL
Source0:	https://github.com/rupa/%{projname}/archive/v%{version}.tar.gz
Url:		https://github.com/rupa/%{projname}

BuildArch:	noarch

%description
Tracks your most used directories, based on 'frecency'.
After a short learning phase, z will take you to the most 'frecent'
directory that matches ALL of the regexps given on the command line, in
order.



%prep
%autosetup

%build

%install
mkdir -p %{buildroot}%{_datadir}/z
install -pm 644 z.sh %{buildroot}%{_datadir}/z/z.sh
mkdir -p %{buildroot}%{_mandir}/man1
install -pm 644 z.1 %{buildroot}%{_mandir}/man1/z.1

%check

%files
%{_datadir}/z/z.sh
%{_mandir}/man1/z.1*

%changelog
* Fri Oct 18 2019 Ben Cotton <bcotton@fedoraproject.org> - 1.11-1
- Initial packaging
